/*****************************************************************************
*
* Atmel Corporation
*
* File              : AVR465.h
* Compiler          : IAR EWAAVR 3.10C
* Revision          : $Revision: 1.31 $
* Date              : $Date: Friday, July 02, 2004 11:12:32 UTC $
* Updated by        : $Author: kmeyer $
*
* Support mail      : avr@atmel.com
*
* Supported devices : This example is written for the ATmega88. Firmware
*                     as such should fit in any other AVR with 8kB Flash.
*
* AppNote           : AVR465: Single-Phase Power/Energy Meter with
*                     Tamper Detection.
*
* Description       : Header file for main program.
*
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//  F U N C T I O N   P R O T O T Y P E S
/////////////////////////////////////////////////////////////////////////////

#pragma vector=WDT_vect
__interrupt void WFT_ISR(void);

#pragma vector=USART_RX_vect
__interrupt void USART_RX_ISR(void);

#pragma vector=USART_TX_vect
__interrupt void USART_TX_ISR(void);

#pragma vector=TIMER1_OVF_vect
__interrupt void TC1_OVF_ISR(void);

#pragma vector=TIMER1_COMPA_vect
__interrupt void TC1_COMPA_ISR(void);

#pragma vector=TIMER1_COMPB_vect
__interrupt void TC1_COMPB_ISR(void);

#pragma vector=ADC_vect
__interrupt void ADC_ISR(void);

int           getchar(void);
int           putchar(int Data);
unsigned int  CRC(unsigned int chksum, unsigned char buffer);
void          Initialise(void);
void          InitGainControl(void);
void          ReadCalibration(void);
void          SetGain(unsigned char Channel, unsigned char Level);
void          SetPulse(float Power);
void          main(void);
